# Gtk::RcStyle Class Reference

Inherits Glib::Object.

Collaboration diagram for Gtk::RcStyle:
[legend]

List of all members.

## Public Member Functions

virtual | ~RcStyle ()
GtkRcStyle* | gobj ()
| Provides access to the underlying C GObject.
const GtkRcStyle* | gobj () const
| Provides access to the underlying C GObject.
GtkRcStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< RcStyle > | copy () const
| Makes a copy of the specified Gtk::RcStyle.
void | set_name (const Glib::ustring& name)
Glib::ustring | get_name () const
void | set_bg_pixmap_name (Gtk::StateType state, const Glib::ustring& name)
Glib::ustring | get_bg_pixmap_name (Gtk::StateType state) const
void | set_font (const Pango::FontDescription& font_desc)
Pango::FontDescription | get_font () const
void | set_color_flags (Gtk::StateType state, RcFlags flags)
void | unset_color_flags (Gtk::StateType state, RcFlags flags)
RcFlags | get_color_flags (Gtk::StateType state) const
void | set_fg (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_fg (Gtk::StateType state) const
void | set_bg (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_bg (Gtk::StateType state) const
void | set_text (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_text (Gtk::StateType state) const
void | set_base (Gtk::StateType state, const Gdk::Color& color)
Gdk::Color | get_base (Gtk::StateType state) const
void | set_xthickness (int xthickness)
int | get_xthickness () const
void | set_ythickness (int ythickness)
int | get_ythickness () const

## Static Public Member Functions

static Glib::RefPtr< RcStyle > | create ()

## Protected Member Functions

| RcStyle ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::RcStyle > | wrap (GtkRcStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::RcStyle::~RcStyle | ( |  | ) | `[virtual]`

Gtk::RcStyle::RcStyle | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<RcStyle> Gtk::RcStyle::copy | ( |  | ) | const

Makes a copy of the specified Gtk::RcStyle.

This function will correctly copy an RC style that is a member of a class derived from Gtk::RcStyle.

Returns:
  The resulting Gtk::RcStyle.

static Glib::RefPtr<RcStyle> Gtk::RcStyle::create | ( |  | ) | `[static]`

Gdk::Color Gtk::RcStyle::get_base | ( | Gtk::StateType | state | ) | const

Gdk::Color Gtk::RcStyle::get_bg | ( | Gtk::StateType | state | ) | const

Glib::ustring Gtk::RcStyle::get_bg_pixmap_name | ( | Gtk::StateType | state | ) | const

RcFlags Gtk::RcStyle::get_color_flags | ( | Gtk::StateType | state | ) | const

Gdk::Color Gtk::RcStyle::get_fg | ( | Gtk::StateType | state | ) | const

Pango::FontDescription Gtk::RcStyle::get_font | ( |  | ) | const

Glib::ustring Gtk::RcStyle::get_name | ( |  | ) | const

Gdk::Color Gtk::RcStyle::get_text | ( | Gtk::StateType | state | ) | const

int Gtk::RcStyle::get_xthickness | ( |  | ) | const

int Gtk::RcStyle::get_ythickness | ( |  | ) | const

const GtkRcStyle* Gtk::RcStyle::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkRcStyle* Gtk::RcStyle::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkRcStyle* Gtk::RcStyle::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::RcStyle::set_base | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::RcStyle::set_bg | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::RcStyle::set_bg_pixmap_name | ( | Gtk::StateType | state,
|  | const Glib::ustring & | name |
| ) |  |  |

void Gtk::RcStyle::set_color_flags | ( | Gtk::StateType | state,
|  | RcFlags | flags |
| ) |  |  |

void Gtk::RcStyle::set_fg | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::RcStyle::set_font | ( | const Pango::FontDescription & | font_desc | ) |

void Gtk::RcStyle::set_name | ( | const Glib::ustring & | name | ) |

void Gtk::RcStyle::set_text | ( | Gtk::StateType | state,
|  | const Gdk::Color& | color |
| ) |  |  |

void Gtk::RcStyle::set_xthickness | ( | int | xthickness | ) |

void Gtk::RcStyle::set_ythickness | ( | int | ythickness | ) |

void Gtk::RcStyle::unset_color_flags | ( | Gtk::StateType | state,
|  | RcFlags | flags |
| ) |  |  |

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::RcStyle > wrap | ( | GtkRcStyle * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/rc.h